#
# spec file for package python-subprocess32
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Note: this package is python 2.x-only.

Name:           python-subprocess32
Version:        3.2.7
Release:        lp151.2.2
Summary:        A backport of the subprocess module from Python 3.2/3.3 for use on 2.x
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://github.com/google/python-subprocess32
Source:         https://files.pythonhosted.org/packages/source/s/subprocess32/subprocess32-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python2-subprocess32 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a backport of the subprocess standard library module from
Python 3.2 & 3.3 for use on Python 2.

It includes bugfixes and some new features.  On POSIX systems it is
guaranteed to be reliable when used in threaded applications.
It includes timeout support from Python 3.3 but otherwise matches
3.2's API.  It has not been tested on Windows.

%prep
%setup -q -n subprocess32-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README.md
%{python_sitearch}/_posixsubprocess.so
%{python_sitearch}/subprocess32.py*
%{python_sitearch}/subprocess32-%{version}-py*.egg-info

%changelog
* Sun Mar 26 2017 toddrme2178@gmail.com
- Initial version
